## darksnow 0.6.1

=== po/Makefile ===
all:
	msgfmt pt_BR.po -o pt_BR.mo

## darksnow 0.7.1

=== Makefile ===
# Darksnow - A gui for darkice
#
#  Copyright (C) 2004-2005 Rafael Diniz <rafael@riseup.net>
# 
#  This source code is free software; you can redistribute it and/or
#  modify it under the terms of the GNU Public License as published 
#  by the Free Software Foundation; either version 2 of the License,
#  or (at your option) any later version.
#
#  This source code is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#  Please refer to the GNU Public License for more details.
#
# You should have received a copy of the GNU Public License along with
# this source code; if not, write to:
# Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

# darksnow Makefile 
PREFIX=/usr/local
INTLPREFIX=/usr/local
CC=gcc
VERSION=0.7.1
#CFLAGS+=-Wall -DGTK_DISABLE_DEPRECATED=1
CFLAGS+=-Wall
INSTALL=install
ARCH=`uname -m`

#set debugging symbols:
#CFLAGS+= -g 

#set funny messages
#CFLAGS+= -DFUNNY 

# use tooltips
CFLAGS+= -DUSE_TOOLTIP

all: darksnow

darksnow: darksnow.o interface.o config_files.o tooltips.o man_gzip
	$(CC) darksnow.o interface.o config_files.o tooltips.o -o darksnow  -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lglib-2.0   -pthread -I/usr/include/gtk-2.0 -I/usr/lib/x86_64-linux-gnu/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -DVERSION="\"$(VERSION)\""

darksnow.o: darksnow.c
	$(CC) $(FUNNY) -pthread -I/usr/include/gtk-2.0 -I/usr/lib/x86_64-linux-gnu/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -DINTLPREFIX="\"$(INTLPREFIX)\"" -DVERSION="\"$(VERSION)\"" -c darksnow.c -o darksnow.o

interface.o: interface.c
	$(CC) $(CFLAGS) $(FUNNY) -pthread -I/usr/include/gtk-2.0 -I/usr/lib/x86_64-linux-gnu/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -DINTLPREFIX="\"$(INTLPREFIX)\"" -DVERSION="\"$(VERSION)\"" -c interface.c -o interface.o

config_files.o: config_files.c
	$(CC) $(CFLAGS) $(FUNNY) -pthread -I/usr/include/gtk-2.0 -I/usr/lib/x86_64-linux-gnu/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -DINTLPREFIX="\"$(INTLPREFIX)\"" -DVERSION="\"$(VERSION)\"" -c config_files.c -o config_files.o

tooltips.o: tooltips.c
	$(CC) $(CFLAGS) $(FUNNY) -pthread -I/usr/include/gtk-2.0 -I/usr/lib/x86_64-linux-gnu/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -DINTLPREFIX="\"$(INTLPREFIX)\"" -DVERSION="\"$(VERSION)\"" -c tooltips.c -o tooltips.o

man_gzip:
	gzip -c man/darksnow.1 > man/darksnow.1.gz 

clean:
	rm -f *.o *~ darksnow man/darksnow.1.gz
	rm -rf slack darksnow.tgz

install: darksnow
	$(INSTALL) -D --mode=0755 darksnow $(PREFIX)/bin/darksnow
	$(INSTALL) -D --mode=0644 documentation/CHANGES $(PREFIX)/share/darksnow/changelog
	$(INSTALL) -D --mode=0644 po/pt_BR.mo $(PREFIX)/share/locale/pt_BR/LC_MESSAGES/darksnow.mo
	$(INSTALL) -D --mode=0644 icon/darksnow_icon.png $(PREFIX)/share/icons/hicolor/32x32/apps/darksnow.png
	$(INSTALL) -D --mode=0644 man/darksnow.1.gz $(PREFIX)/share/man/man1/darksnow.1.gz

make_pkg: darksnow
	echo "Remember to run this option as root!"
	rm -rf slack
	$(INSTALL) -D --mode=0755 darksnow slack$(PREFIX)/bin/darksnow
	$(INSTALL) -D --mode=0644 icon/darksnow_icon.png slack$(PREFIX)/share/icons/darksnow.png
	$(INSTALL) -D --mode=0644 po/pt_BR.mo slack$(PREFIX)/share/locale/pt_BR/LC_MESSAGES/darksnow.mo
	$(INSTALL) -D --mode=0644 documentation/CHANGES slack$(PREFIX)/doc/darksnow/CHANGES
	$(INSTALL) -D --mode=0644 documentation/LICENSE slack$(PREFIX)/doc/darksnow/LICENSE
	$(INSTALL) -D --mode=0644 documentation/README.en slack$(PREFIX)/doc/darksnow/README.en
	$(INSTALL) -D --mode=0644 documentation/README.pt_BR slack$(PREFIX)/doc/darksnow/README.pt_BR	
	$(INSTALL) -D --mode=0644 documentation/CHANGES slack$(PREFIX)/doc/darksnow/CHANGES
	$(INSTALL) -D --mode=0644 documentation/slack-desc slack/install/slack-desc
	cd slack; makepkg -c y -l n  ../darksnow-$(VERSION)-$(ARCH)-1rd.tgz
	echo "Remember to run this option as root!"

install_pkg: make_pkg
	/sbin/installpkg darksnow-*-1rd.tgz

upgrade_pkg: make_pkg
	/sbin/upgradepkg darksnow-*-1rd.tgz

dist-clean: clean
	rm aclocal.m4 config.status config.log man/darksnow.1.gz Makefile
	rm -r autom4te.cache

=== debian/changelog ===
darksnow (0.7.1-3) unstable; urgency=medium

  * QA upload.
  * Use debhelper-compat.
    - Update compat level to 13.
  * Update Standards-Version to 4.5.0
  * Use https with d/watch file.
  * Fix ftbfs with GCC-10. (Closes: #957120)
  * Remove whitespace from d/rules and d/changelog.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 17 Nov 2020 21:52:26 +0000

darksnow (0.7.1-2) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Adrian Bunk <bunk@debian.org>  Sun, 18 Jun 2017 16:51:59 +0300

darksnow (0.7.1-1) experimental; urgency=medium

  * QA upload.
  * New upstream release (Closes: #839027)
  * Set maintainer to QA Group (See: #846813)
  * Converted rules to dh format
    - Added d/clean
    - Drop patchutils from build-dependencies.
  * Compat level 10
  * Source format 3.0 (quilt)
  * Converted patches to quilt & refreshed
  * Converted copyright to DEP-5
  * Standards version 3.9.8
    - Replaced d/menu file with d/desktop
    - Stopped installing darksnow_icon.xpm

 -- David William Richmond Jones <dwrj87@gmail.com>  Wed, 28 Dec 2016 20:45:59 +0000

darksnow (0.6.1-3) unstable; urgency=low

  * New Maintainer Closes: #497141.
  * Bump up standards-version to 3.8.3 No other changes.
  * Fix debhelper-but-no-misc-depends lintian warning.
  * Add my name to debian/copyright.
  * Fix watch file.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Mon, 21 Sep 2009 19:54:30 +0530

darksnow (0.6.1-2) unstable; urgency=low

  * QA upload, orphaning this package.
  * debian/menu: Fixed menu-item-uses-apps-section.

 -- Bart Martens <bartm@debian.org>  Sat, 30 Aug 2008 09:11:24 +0200

darksnow (0.6.1-1) unstable; urgency=low

  * Copied from Ubuntu to Debian.  Closes: #417046.
  * New upstream release, repackaged .orig.tar.gz.
  * debian/copyright: Updated.
  * debian/patches/fixing_Makefile.in.patch, debian/rules: Use CFLAGS as set
    by cdbs, moved a few things from the patch to debian/rules, removed use of
    dh_iconcache.
  * debian/menu, debian/watch: Added.
  * debian/control, debian/rules, debian/install: Use imagemagick to convert
    darksnow_icon.png to darksnow_icon.xpm for use in debian/menu.

 -- Bart Martens <bartm@knars.be>  Sun,  1 Apr 2007 10:25:03 +0200

darksnow (0.6-0ubuntu2) dapper; urgency=low

  * debian/compat:
    + Set compat to 5.
  * debian/rules:
    + use dh_iconcache .

 -- Zak B. Elep <zakame@ubuntu.com>  Tue, 11 Apr 2006 05:13:19 -0400

darksnow (0.6-0ubuntu1) dapper; urgency=low

  * New upstream release
  * updated the address of FSF at debian/copyright
  * updated debian/rules and patches to the new version

 -- Rodrigo Belem <rclbelem@gmail.com>  Fri,  4 Nov 2005 15:01:09 +0000

darksnow (0.5.3-0ubuntu1) breezy; urgency=low

  * New upstream release
  * updated debian/rules and patches to the new version
  * man page now part of the upstream release

 -- Rodrigo Belem <rclbelem@gmail.com>  Fri, 18 Oct 2005 00:26:46 -0400

darksnow (0.5.2-0ubuntu1) breezy; urgency=low

  * added Homepage to package description
  * removed unnecessary cdbs rules tarball.mk, autotools-vars.mk
  * removed unnecessary Build-Depends: build-essential, autotools-dev
  * created a manpage
  * created a patch to fix Makefile.in to Debian way
  * Initial Release.

 -- Rodrigo Belem <rclbelem@gmail.com>  Fri, 19 Aug 2005 18:20:24 -0400

=== debian/control ===
Source: darksnow
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), imagemagick, libgtk2.0-dev
Standards-Version: 4.5.0
Homepage: http://darksnow.radiolivre.org/

Package: darksnow
Architecture: any
Depends: darkice, ${misc:Depends}, ${shlibs:Depends}
Description: simple graphical user interface to darkice
 DarkSnow is a graphical interface written in GTK+2 for the darkice
 live streamer.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

export DEB_CFLAGS_MAINT_APPEND = -fcommon

%:
	dh  $@

# Use override_dh_* targets to customize this.
# ---------------------------------------------------
# Followings are the old debian/rules
#
# #!/usr/bin/make -f
#
# include /usr/share/cdbs/1/rules/debhelper.mk
# include /usr/share/cdbs/1/rules/simple-patchsys.mk
# include /usr/share/cdbs/1/class/autotools.mk
#
# update-config::
# 	[ -e ChangeLog ] || ln -s documentation/CHANGES ChangeLog
# 	[ -e README.en ] || ln -s documentation/README.en README.en
# 	[ -e README.pt_BR ] || ln -s documentation/README.pt_BR README.pt_BR
# 	[ -e icon/darksnow_icon.xpm ] || \
# 		convert -resize 32x32 icon/darksnow_icon.png icon/darksnow_icon.xpm
#
# reverse-config::
# 	rm -f ChangeLog README.en README.pt_BR icon/darksnow_icon.xpm
#
# binary-post-install/darksnow::
# 	rm -f $(CURDIR)/debian/darksnow/usr/share/doc/darksnow/README
#
# clean::
# 	rm -f config.status config.log Makefile *.o darksnow

=== debian/watch ===
version=3
https://darksnow.radiolivre.org/pacotes/ darksnow-(.*)\.tar\.gz
